<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ConfigurationPublications (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ConfigurationPublications (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ConfigurationPublications.html" target="_top">Frames</a></li>
<li><a href="ConfigurationPublications.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts</div>
<h2 title="Interface ConfigurationPublications" class="title">Interface ConfigurationPublications</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a>, <a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a>&lt;<a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html" title="interface in org.gradle.api.artifacts">ConfigurationPublications</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ConfigurationPublications</span>
extends <a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a>&lt;<a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html" title="interface in org.gradle.api.artifacts">ConfigurationPublications</a>&gt;</pre>
<div class="block">Represents the outgoing artifacts associated with a configuration. These artifacts are used when the configuration is referenced during dependency resolution.

 <p>You can use this interface associate artifacts with a configuration using the <a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html#artifact(java.lang.Object)"><code>artifact(Object)</code></a> methods. You can also define several <em>variants</em> of the configuration's artifacts. Each variant represents a set of artifacts that form some mutually exclusive usage of the component.</p>

 <p>An implicit variant is defined for a configuration whenever any artifacts are attached directly to this object or inherited from another configuration.</p></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.3</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html#artifact(java.lang.Object)">artifact</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;notation)</code>
<div class="block">Adds an outgoing artifact to this configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html#artifact(java.lang.Object,%20org.gradle.api.Action)">artifact</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;notation,
        <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/ConfigurablePublishArtifact.html" title="interface in org.gradle.api.artifacts">ConfigurablePublishArtifact</a>&gt;&nbsp;configureAction)</code>
<div class="block">Adds an outgoing artifact to this configuration, configuring it using the given action.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts">PublishArtifactSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html#getArtifacts()">getArtifacts</a></strong>()</code>
<div class="block">Returns the artifacts associated with this configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts">ConfigurationVariant</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html#getVariants()">getVariants</a></strong>()</code>
<div class="block">Returns the variants of this configuration, if any.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html#variants(org.gradle.api.Action)">variants</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts">ConfigurationVariant</a>&gt;&gt;&nbsp;configureAction)</code>
<div class="block">Configures the variants of this configuration.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.attributes.HasConfigurableAttributes">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a></h3>
<code><a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html#attributes(org.gradle.api.Action)">attributes</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.attributes.HasAttributes">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a></h3>
<code><a href="../../../../org/gradle/api/attributes/HasAttributes.html#getAttributes()">getAttributes</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getArtifacts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArtifacts</h4>
<pre><a href="../../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts">PublishArtifactSet</a>&nbsp;getArtifacts()</pre>
<div class="block">Returns the artifacts associated with this configuration. When an artifact is added to this set, an implicit variant is defined for the configuration. These artifacts are also inherited by all configurations that extend this configuration.</div>
</li>
</ul>
<a name="artifact(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>artifact</h4>
<pre>void&nbsp;artifact(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;notation)</pre>
<div class="block">Adds an outgoing artifact to this configuration. This artifact is included in all variants.

 <p>See <a href="../../../../org/gradle/api/artifacts/dsl/ArtifactHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>ArtifactHandler</code></a> for details of the supported notations.</div>
</li>
</ul>
<a name="artifact(java.lang.Object, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>artifact</h4>
<pre>void&nbsp;artifact(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;notation,
            <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/ConfigurablePublishArtifact.html" title="interface in org.gradle.api.artifacts">ConfigurablePublishArtifact</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Adds an outgoing artifact to this configuration, configuring it using the given action. This artifact is included in all variants.

 <p>See <a href="../../../../org/gradle/api/artifacts/dsl/ArtifactHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>ArtifactHandler</code></a> for details of the supported notations.</div>
</li>
</ul>
<a name="getVariants()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVariants</h4>
<pre><a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts">ConfigurationVariant</a>&gt;&nbsp;getVariants()</pre>
<div class="block">Returns the variants of this configuration, if any.</div>
</li>
</ul>
<a name="variants(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>variants</h4>
<pre>void&nbsp;variants(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts">ConfigurationVariant</a>&gt;&gt;&nbsp;configureAction)</pre>
<div class="block">Configures the variants of this configuration.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ConfigurationPublications.html" target="_top">Frames</a></li>
<li><a href="ConfigurationPublications.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
